PUT
/api/admin/merchants/{id}/paychoice
const url = 'https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/paychoice';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","paychoiceEnvironment":"Staging","gatewayUsername":"example","gatewayPassword":"example","merchantGuid":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/paychoice \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "paychoiceEnvironment": "Staging", "gatewayUsername": "example", "gatewayPassword": "example", "merchantGuid": "example" }'Set a merchant’s PayChoice environment and credentials. Credential fields are write-only.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Request Body
Section titled “Request Body ”object
id
string format: uuid
paychoiceEnvironment
string
gatewayUsername
string
gatewayPassword
string
merchantGuid
string
object
id
string format: uuid
paychoiceEnvironment
string
gatewayUsername
string
gatewayPassword
string
merchantGuid
string
object
id
string format: uuid
paychoiceEnvironment
string
gatewayUsername
string
gatewayPassword
string
merchantGuid
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
id
string format: uuid
name
string
description
string
contactEmail
string
contactPhone
string
country
string
timeZone
string
isActive
boolean
gatewayConfigured
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
paychoiceEnvironment
string
merchantGuidConfigured
boolean
paychoiceMerchantProfileId
string
billingRetryOffsetsDays
string
billingTerminalAction
string
bankSettlementWindowDays
integer format: int32
Example
{ "paychoiceEnvironment": "Staging", "billingTerminalAction": "Cancel"}Bad Request
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}